IPod Touch 3G: Jailbreak? ECID?

Discussion in 'iPod touch' started by JareX, Mar 15, 2010.

  1. JareX

    JareX New Member

    Joined:
    Mar 15, 2010
    Messages:
    2
    Likes Received:
    0
    Device:
    3G iPod touch
    Hi, I bought a 3G 32MB IPod Touch a couple of days ago with the 3.1.1 firmware, and i decided to jailbreak it.

    I Downloaded the 3.1.2 Firmware (not from ITunes, because ITunes only updates to 3.1.3, and i need 3.1.2 in order to jailbreak it)
    But When I tried to upgrade it, a message apeared on ITunes:

    The Ipod "XXXX" Could not be restored. This device isn't eligible for the requested build

    I searched on the web and found that there is some new security system from mac, that it wont let me upgrade to any version but the lastest avaiable (in this case 3.1.3). Theres something abut ECID or somethig like that, and i didnt understan it, but it seems its for making a downgrade to a jailbreaked Ipod, but i dont need a downgrade and my ipod is not jailbreaked.

    So I have the following questions:

    1) How can I upgrade my firmware from 3.1.1 to 3.1.2?


    2) Is there, any other way I can jailbreak my Ipod?

    Thanks.
  2. narwal13

    narwal13 Active Member

    Joined:
    Oct 12, 2009
    Messages:
    3,070
    Likes Received:
    6
    Device:
    5G iPod touch
    keep it on 3.1.1!

    otherwise u'll lose ur jailbreak.
  3. JareX

    JareX New Member

    Joined:
    Mar 15, 2010
    Messages:
    2
    Likes Received:
    0
    Device:
    3G iPod touch
    i know, i wont upgrade to 3.1.3, but I have 3.1.1 now...

    1) Can I jailbreak it like that (I only know how to jailbreak a 3.1.2 version)

    2) Whats the difference between a 3.1.1 and a 3.1.2 jailbreaked ipod?
  4. SoBe

    SoBe Banned

    Joined:
    Sep 1, 2009
    Messages:
    3,788
    Likes Received:
    1
    Device:
    2G iPod touch
    Yeah keep it on 3.1.1 and jailbreak with blackra1n. It's tethered by the way.
  5. EviLCorsaiR

    EviLCorsaiR New Member

    Joined:
    Jul 2, 2009
    Messages:
    43
    Likes Received:
    0
    Device:
    iPad
    There's no way to downgrade OR upgrade to 3.1.2, without having your 3.1.2 ECID SHSH. Basically meaning, you can only restore to 3.1.2 if you already had 3.1.2 at some point on your iPod, to retrieve that ECID and SHSH. You can't get a 3.1.2 SHSH from any other version.

    But 3.1.1 should jailbreak just as well. Use blackra1n. The one problem is that it is tethered, meaning whenever you reboot your iPod Touch you'll need to run blackra1n again to do so.

    There's very little difference between 3.1.1 and 3.1.2 (as far as I'm aware) it's just bug fixes. And it won't make any difference to the jailbreak.
  6. SoBe

    SoBe Banned

    Joined:
    Sep 1, 2009
    Messages:
    3,788
    Likes Received:
    1
    Device:
    2G iPod touch
    3.1.1 to 3.1.3 is just bug fixes. And 3.1.3 was made to stop the jailbreaks.
  7. theflexxxman

    theflexxxman Member

    Joined:
    Sep 22, 2008
    Messages:
    205
    Likes Received:
    0
    Device:
    iPad w/ 3G
    im assuming the program you use to jailbreak 3.1.1 on the 3G is blackra1n it will work on 3.1.1 so just use it, 3.1.3 bug fixes and blocking jb as usuall.

Share This Page